Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1554

Summary: vfat does not cope with huge files
Product: [Retired] Red Hat Linux Reporter: ttyridal
Component: kernelAssignee: David Lawrence <dkl>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-19 20:07:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ttyridal 1999-03-16 23:56:50 UTC
Nonmodified RH v5.2 /intel pentum 60

vfat corrupts files. When reading huge files (like mp3, or
big ms word 97 documents) from a vfat harddrive, it's like
truncated (only a few k's are read). (the same thing happens
when i do a copy)
--The interesting part is that when mounting the drive as
msdos it works fine. (and also viewing file with mc when
mounted as vfat)

The problem ocoures also when copying files (like mp3's)
from ext2 drive to vfat drive. (files gets corruptet (not
truncated in this case)

Comment 1 Przemek Klosowski 1999-08-09 21:49:59 UTC
The same (corruption while copying from ext2 to vfat)
happens on RH6.0/2.2.5-15 (RH installed kernel):

/dev/hdd4 on /mnt/zip type vfat (rw,noexec,nosuid,nodev)
cp octave-2.0.14.tar.gz /mnt/zip
sum octave-2.0.14.tar.gz           --->   51699  3729
 sum /mnt/zip/octave-2.0.14.tar.gz  --->   02736  3729

Comment 2 Bill Nottingham 1999-08-19 20:07:59 UTC
there are zip disk issues with the kernels that shipped with
6.0. Please try the latest kernels from Raw Hide.